
From: Andrew Morton <akpm@osdl.org>

gcc-2.95 fixes

Cc: Kylene Hall <kjhall@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/tpm/tpm_atmel.c |    2 +-
 drivers/char/tpm/tpm_nsc.c   |    3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/char/tpm/tpm_nsc.c~fix-tpm-driver-sysfs-owernship-changes-fix-3 drivers/char/tpm/tpm_nsc.c
--- 25/drivers/char/tpm/tpm_nsc.c~fix-tpm-driver-sysfs-owernship-changes-fix-3	2005-05-31 01:37:10.000000000 -0700
+++ 25-akpm/drivers/char/tpm/tpm_nsc.c	2005-05-31 01:37:10.000000000 -0700
@@ -247,8 +247,7 @@ static struct tpm_vendor_specific tpm_ns
 	.req_complete_val = NSC_STATUS_OBF,
 	.base = TPM_NSC_BASE,
 	.attr_group = &nsc_attr_grp,
-	.miscdev.fops = &nsc_ops,
-
+	.miscdev = { .fops = &nsc_ops, },
 };
 
 static int __devinit tpm_nsc_init(struct pci_dev *pci_dev,
diff -puN drivers/char/tpm/tpm_atmel.c~fix-tpm-driver-sysfs-owernship-changes-fix-3 drivers/char/tpm/tpm_atmel.c
--- 25/drivers/char/tpm/tpm_atmel.c~fix-tpm-driver-sysfs-owernship-changes-fix-3	2005-05-31 01:37:35.000000000 -0700
+++ 25-akpm/drivers/char/tpm/tpm_atmel.c	2005-05-31 01:37:45.000000000 -0700
@@ -149,7 +149,7 @@ static struct tpm_vendor_specific tpm_at
 	.req_complete_val = ATML_STATUS_DATA_AVAIL,
 	.base = TPM_ATML_BASE,
 	.attr_group = &atmel_attr_grp,
-	.miscdev.fops = &atmel_ops,
+	.miscdev = { .fops = &atmel_ops, },
 };
 
 static int __devinit tpm_atml_init(struct pci_dev *pci_dev,
_
